@charset "UTF-8";
@import url(./common.css);

/* ------------------------------
Eye Catching
------------------------------ */
.home_eye_catching .catch_copy p {
    line-height: 1.2;
}
.home_eye_catching .catch_copy .en {
    font-size: 250%;
}
.home_eye_catching .catch_copy .ja {
    font-size: 90%;
}

/* ------------------------------
We are・We think・We can do 共通
------------------------------ */
.home_sec_h2:nth-of-type(1),
.home_sec_h2:nth-of-type(2),
.home_sec_h2:nth-of-type(3) {
    display: flex;
}

/* ------------------------------
We are
------------------------------ */
/* 画像側 */
.concept .image_block {
    aspect-ratio: 1;
    position: relative;
}
.concept .image_block .image {
    position: absolute;
    background-repeat: no-repeat;
    background-size: cover;
}
.concept .image_block .image:nth-of-type(1) {
    width: 76%;
    height: 90%;
    top: 0;
    left: 12%;
    background-image: url(../image/we-are-1.jpg);
    background-position: 50% 30%;
    z-index: 3;
}
.concept .image_block .image:nth-of-type(2) {
    width: 55%;
    aspect-ratio: 1;
    top: 20%;
    left: -10%;
    background-image: url(../image/we-are-2.jpg);
    background-position: 50% 30%;
    z-index: 4;
}
.concept .image_block .image:nth-of-type(3) {
    width: 50%;
    aspect-ratio: 1;
    right: -3%;
    bottom: 0;
    background-image: url(../image/we-are-3.jpg);
    background-position: 50% 20%;
    z-index: 1;
}
.concept .image_block .image:nth-of-type(3)::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.3);
}
.concept .image_block .image:nth-of-type(4) {
    width: 40%;
    aspect-ratio: 1;
    left: 4%;
    bottom: -30px;
    background-image: url(../image/we-are-4.jpg);
    background-position: 50% 20%;
    z-index: 2;
}

/* ------------------------------
サンプル画像
------------------------------ */
.home_sample_img {
    display: flex;
}
.home_sample_img > .block:nth-of-type(1) img {
    aspect-ratio: 2 / 1;
    object-position: 50% 50%;
}
.home_sample_img > .block:nth-of-type(2) {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
}
.home_sample_img > .block:nth-of-type(2) > .image {
    width: 49%;
}
.home_sample_img > .block:nth-of-type(2) img {
    aspect-ratio: 3 / 2;
}

/* ------------------------------
We can do
------------------------------ */
/* menu_block */
.service .menu_block > ul {
    display: flex;
    flex-wrap: wrap
}
.service .menu_block > ul > li {
    position: relative;     /* arrowの基準 */
    width: 50%;
    padding: 5px;
}
.service .menu_block li:nth-of-type(1) > a,
.service .menu_block li:nth-of-type(2) > a {
    border-top: solid 1px var(--main-color);
}
.service .menu_block li > a {
    border-bottom: solid 1px var(--main-color);
}
.service .menu_block a > span {
    display: block;
    line-height: 1.5;
}
.service .menu_block a > .en {
    font-size: 120%;
}
.service .menu_block a > .ja {
    font-size: 90%;
}
/* arrow */
.service .menu_block > ul > li::before,
.service .menu_block > ul > li::after {
    content: "";
    display: block;
    height: 1px;
    position: absolute;
    right: 10%;
    background-color: var(--main-color);
    transition: right .3s;
}
.service .menu_block > ul > li::before {
    width: 30px;
}
.service .menu_block > ul > li::after {
    width: 12px;
    transform: rotate(30deg);
}
.service .menu_block > ul > li:hover:before,
.service .menu_block > ul > li:hover:after {
    right: 8%;
}

/* ------------------------------
Salon info
------------------------------ */
.salon_info {
    text-align: center;
}
.salon_info li {
    padding: 5px;
}

/* ------------------------------
News
------------------------------ */
.news {
    background-color: var(--bgColor);
    padding: 2rem;
}
.news h2 {
    text-align: center;
}
/* article */
.news .news_article h3::before {
    content: "News";
    display: inline-block;
    font-size: 80%;
    color: var(--base-color);
    background-color: var(--main-color);
    line-height: 1.2;
    padding: 0 0.5em;
    border-radius: 1em;
    margin-right: 0.5em;
}
.news .news_article .point {
    background-color: var(--base-color);
    padding: 1rem   ;
}

/* ------------------------------
moreリンク
------------------------------ */
.more_link {
    width: min(20rem, 100%);
    position: relative;
}
.more_link::before,
.more_link::after {
    content: "";
    display: block;
    height: 1px;
    position: absolute;
    right: 10%;
    background-color: var(--main-color);
    transition: right .3s;
}
.more_link::before {
    width: 30px;
    top: 30px;
}
.more_link::after {
    width: 12px;
    top: 27px;
    transform: rotate(30deg);
}
.more_link:hover:before,
.more_link:hover:after {
    right: 8%;
}
.more_link a {
    padding: 1rem 0;
    border-bottom: solid 1px var(--main-color);
}

/* ------------------------------
スライダー
------------------------------ */
.swiper li {
    padding-right: 1.5vw;
}
.swiper li > img {
    aspect-ratio: 5 / 3;
}
.swiper [class^="swiper-button-"]{
    color: #555;
}
.swiper [class^="swiper-button-"]::after {
    font-size: 30px;
}
.swiper .swiper-pagination-bullet{
    background-color: #555;
}

/* ------------------------------
スマホ版
------------------------------ */
@media screen and (max-width: 800px) {
    
    /* ------------------------------
    Eye Catching
    ------------------------------ */
    .home_eye_catching .catch_copy {
        padding: 3rem 0;
    }
    .home_eye_catching .catch_copy .en {
        margin-bottom: 2rem;
    }

    /* ------------------------------
    We are・We think・We can do 共通
    ------------------------------ */
    .home_sec_h2:nth-of-type(1),
    .home_sec_h2:nth-of-type(2),
    .home_sec_h2:nth-of-type(3) {
        flex-direction: column;
    }

    /* ------------------------------
    We are
    ------------------------------ */
    .concept {
        flex-direction: column;
    }
    .concept .image_block {
        margin: 2rem 0;
    }

    /* ------------------------------
    サンプル画像
    ------------------------------ */
    .home_sample_img {
        flex-direction: column;
    }
    .home_sample_img > .block {
        width: 100%;
    }
    .home_sample_img > .block:first-of-type {
        margin-bottom: 10px;
    }

    /* ------------------------------
    We can do
    ------------------------------ */
    .service .menu_block {
        margin-top: 2rem;
    }
    .service .menu_block li > a {
        padding: 1rem 0;
    }
    /* arrow */
    .service .menu_block > ul > li::before {
        top: 40px;
    }
    .service .menu_block > ul > li::after {
        top: 37px;
    }

    /* ------------------------------
    moreリンク
    ------------------------------ */
    .more_link a {
        margin: 1rem 0;
    }

    /* ------------------------------
    スライダー
    ------------------------------ */
    .swiper {
        width: 100vw;
    }
}

/* ------------------------------
PC版
------------------------------ */
@media screen and (min-width: 801px) {

    /* ------------------------------
    We are・We think・We can do 共通
    ------------------------------ */
    .home_sec_h2:nth-of-type(1),
    .home_sec_h2:nth-of-type(2),
    .home_sec_h2:nth-of-type(3) {
        flex-wrap: nowrap;
        justify-content: space-between;
    }

    /* ------------------------------
    Eye Catching
    ------------------------------ */
    .home_eye_catching .catch_copy {
        display: flex;
        justify-content: space-between;
        padding: 5rem 0;
    }

    /* ------------------------------
    We are・We can do 共通
    ------------------------------ */
    .concept,
    .service {
        flex-direction: row-reverse;
    }


    /* ------------------------------
    We are
    ------------------------------ */
    .concept {
        justify-content: space-between;
    }
    .concept > .text_block {
        width: 35%;
    }
    .concept > .image_block {
        width: 58%;
    }

    /* ------------------------------
    We think
    ------------------------------ */
    .think {
        flex-direction: row;
    }
    .think > div {
        width: 49%;
    }

    /* ------------------------------
    サンプル画像
    ------------------------------ */
    .home_sample_img {
        flex-direction: row;
        justify-content: space-between;
    }
    .home_sample_img > .block {
        width: 49%;
    }

    /* ------------------------------
    We can do
    ------------------------------ */
    .service > div {
        width: 47%;
    }
    .service .menu_block li > a {
        padding: 3rem 0;
    }
    /* arrow */
    .service .menu_block > ul > li::before {
        top: 80px;
    }
    .service .menu_block > ul > li::after {
        top: 77px;
    }

    /* ------------------------------
    moreリンク
    ------------------------------ */
    .more_link {
        margin: 0 auto;
    }
    .more_link a {
        margin: 2rem 0;
    }

}